> ## Documentation Index
> Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the status history of a check

> Get the status history of a check - an aggregation of the state of all of the results for the check over time.



## OpenAPI

````yaml /plugins/soundcheck/openapi.yaml get /checks/{checkId}/status-history
openapi: 3.0.0
info:
  title: soundcheck
  version: 0.1.0
  description: API for interacting with Soundcheck.
servers:
  - url: https://backstage.example.com/api/soundcheck
security: []
tags:
  - name: Campaigns
  - name: Certification
  - name: CheckResults
  - name: Checks
  - name: FactCollectors
  - name: Facts
  - name: Tracks
paths:
  /checks/{checkId}/status-history:
    get:
      tags:
        - Checks
      summary: Get the status history of a check
      description: >-
        Get the status history of a check - an aggregation of the state of all
        of the results for the check over time.
      operationId: getCheckStatusHistory
      parameters:
        - name: checkId
          in: path
          description: The ID of the check
          required: true
          schema:
            type: string
        - name: numberOfDays
          in: query
          description: The number of days to return history for.
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckStatusHistory'
        '404':
          description: Check not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CheckStatusHistory:
      type: object
      properties:
        id:
          type: string
        numberOfEntities:
          type: integer
        history:
          type: array
          items:
            $ref: '#/components/schemas/CheckStatusHistoryEntry'
      required:
        - id
        - numberOfEntities
        - history
      additionalProperties: false
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
          required:
            - name
            - message
          additionalProperties: true
        request:
          type: object
          properties:
            method:
              type: string
            url:
              type: string
          required:
            - method
            - url
          additionalProperties: false
        response:
          type: object
          properties:
            statusCode:
              type: integer
          required:
            - statusCode
          additionalProperties: false
      required:
        - error
        - response
      additionalProperties: false
    CheckStatusHistoryEntry:
      allOf:
        - $ref: '#/components/schemas/CheckStatusTally'
        - type: object
          properties:
            date:
              type: string
              format: date-time
          required:
            - date
          additionalProperties: false
    CheckStatusTally:
      type: object
      properties:
        passed:
          type: integer
        failed:
          type: integer
        warning:
          type: integer
        exempt:
          type: integer
        notApplicable:
          type: integer
        error:
          type: integer
        notReported:
          type: integer
      required:
        - passed
        - failed
        - warning
        - exempt
        - notApplicable
        - error
        - notReported
      additionalProperties: false

````